KTextEditor::CursorInterface Class Referenceabstract

`#include <cursorinterface.h>`

## Public Member Functions

unsigned int | cursorInterfaceNumber () const
virtual Cursor * | createCursor ()=0
virtual QPtrList< Cursor > | cursors () const =0

## Protected Member Functions

void | setCursorInterfaceDCOPSuffix (const QCString &suffix)

## Friends

class | PrivateCursorInterface

## Detailed Description

This is an interface for accessing the cursor of the Document class.

Definition at line 50 of file cursorinterface.h.

## Member Function Documentation

virtual Cursor* KTextEditor::CursorInterface::createCursor | ( |  | ) |

pure virtual

Create a new cursor object.

The documentation for this class was generated from the following files:

- cursorinterface.h
- cursorinterface.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys